//********************************************************************
//*** ResourcePool/mysql/Factory.cc
//*** Copyright (c) 2003 by Markus Winand <mws@fatalmind.com>
//*** $Id: Factory.cc,v 1.2 2003/02/16 18:46:23 mws Exp $
//********************************************************************

#ifndef RESOURCEPOOL_MYSQL_FACTORY_HH
#include "Factory.hh"
#endif

#ifndef RESOURCEPOOL_CREATEXCEPTION_HH
#include "ResourcePool/CreateException.hh"
#endif

#include <string>
#include <string.h> // for memcmp

namespace fatalmind {

mysqlFactory::mysqlFactory(const std::string& host
            , const std::string& user
            , const std::string& pass
            , const std::string& db
            , unsigned int port
            , const std::string& sock
)
: _host(host)
, _user(user)
, _pass(pass)
, _db(db)
, _port(port)
, _sock(sock)
{
}

mysqlResource* mysqlFactory::create_resource() const
{
	return new mysqlResource(_host, _user, _pass, _db, _port, _sock);
}

/*
bool operator<(const MYSQL* lho, const MYSQL* rho)
{
	//return memcmp(&lho, &rho, sizeof(MYSQL)) == 0? true : false;
	return lho < rho;
}
*/

} // namespace fatalmind
