//********************************************************************
//*** ResourcePool/mysql/MysqlException.hh
//*** Copyright (c) 2003 by Markus Winand <mws@fatalmind.com>
//*** $Id: MysqlException.hh,v 1.4 2003/10/01 20:01:12 mws Exp $
//********************************************************************

#ifndef RESOURCEPOOL_MYSQL_MYSQLEXCEPTION_HH
#define RESOURCEPOOL_MYSQL_MYSQLEXCEPTION_HH

#ifndef RESOURCEPOOL_SQL_SQLException_HH
#include "ResourcePool/SQL/SQLException.hh"
#endif

#ifndef RESOURCEPOOL_NOFAILOVEREXCEPTION_HH
#include "ResourcePool/NoFailoverException.hh"
#endif

namespace fatalmind {

class MysqlException: virtual public SQL::SQLException {
	public:
		MysqlException(const std::string& message, const int errorcode, const std::string& sql);
		int getErrorCode() const throw();
	
		static void throwit(const int rv, const std::string& msg, const int errorcode, const std::string& sql);
		
	protected:
		static const char* mapMYSQLtoXOPEN(const int errorcode);
	private:
		const int _errorcode;
};

class NFOMysqlException: virtual public MysqlException, virtual public NoFailoverException {
	public:
		NFOMysqlException(const std::string& message, const int errorcode, const std::string& sql);
};

} // namespace fatalmind
#endif
