//********************************************************************
//*** ResourcePool/mysql/SQLExecute.hh
//*** Copyright (c) 2003 by Markus Winand <mws@fatalmind.com>
//*** $Id: SQLExecute.hh,v 1.7 2003/09/22 20:05:22 mws Exp $
//********************************************************************

#ifndef RESOURCEPOOL_MYSQL_SQLEXECUTE_HH
#define RESOURCEPOOL_MYSQL_SQLEXECUTE_HH

#ifndef RESOURCEPOOL_COMMAND_HH
#include "ResourcePool/Command.hh"
#endif

#ifndef RESOURCEPOOL_MYSQL_SQLTYPE_HH
#include "SQLType.hh"
#endif

#ifndef RESOURCEPOOL_MYSQL_MYSQLFWD_HH
#include "mysqlFwd.hh"
#endif

#ifndef INCLUDED_GC_PTR_HH
#include "mm/gc_ptr.hh"
#endif

#ifndef RESOURCEPOOL_SQL_BIND_HH
#include "ResourcePool/SQL/Bind.hh"
#endif

#include <string>

namespace fatalmind {
namespace mysql {

class SQLExecute
: public Command<MYSQL>
, public SQL::Bind<SQLType, SQLTypeImpl> 
{
	public:
		SQLExecute(const std::string& SQL);
		virtual ~SQLExecute();
		virtual void execute(MYSQL&);

	private:
		std::string _SQL;
};


} // namespace mysql
} // namespace fatalmind
#endif
