//********************************************************************
//*** ResourcePool/oracle/SQLExecute.hh
//*** Copyright (c) 2003-2004 by Markus Winand <mws@fatalmind.com>
//*** $Id: SQLExecute.hh,v 1.13 2004/11/17 14:39:17 mws Exp $
//********************************************************************
/*
This file is part of ResourcePool.

ResourcePool is free software; you can redistribute it
and/or modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2 of 
the License, or (at your option) any later version.

ResourcePool is distributed in the hope that it will be
useful, but WITHOUT ANY WARRANTY; without even the implied warranty
of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with ResourcePool; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
02111-1307  USA */

#ifndef RESOURCEPOOL_ORACLE_SQLEXECUTE_HH
#define RESOURCEPOOL_ORACLE_SQLEXECUTE_HH

#ifndef RESOURCEPOOL_ORACLE_RESOURCEFWD_HH
#include "ResourceFwd.hh"
#endif

#ifndef RESOURCEPOOL_ORACLE_COMMANDCOMMON_HH
#include "CommandCommon.hh"
#endif
 
#include <string>

namespace fatalmind {
namespace oracle {

template <class TM>
class SQLExecute
: public CommandCommon<TM>
{
		typedef CommandCommon<TM> super;
		using super::_SQL;
		using super::_sth;
	public:
		SQLExecute(const std::string& SQL);

		virtual CommandCommon<TM>* clone() const;

//		using CommandCommon<TM>::execute;
	protected:
		void _execute(fatalmind::oracleHandlesWithCache<TM>&,StatementCache&);
};


} // namespace oracle
} // namespace fatalmind
#endif
