//********************************************************************
//*** ResourcePool/oracle/Types.t.cc
//*** Copyright (c) 2003-2004 by Markus Winand <mws@fatalmind.com>
//*** $Id: Types.t.cc,v 1.9 2004/11/17 14:39:17 mws Exp $
//********************************************************************
/*
This file is part of ResourcePool.

ResourcePool is free software; you can redistribute it
and/or modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2 of
the License, or (at your option) any later version.

ResourcePool is distributed in the hope that it will be
useful, but WITHOUT ANY WARRANTY; without even the implied warranty
of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with ResourcePool; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
02111-1307  USA */

#include "ResourcePool/oracle/ResourcePool.hh"
#include "t/main.hh"

#include "testconfig.cc"
std::string getStringTable() {
	return "create table hirsch (id numeric not null primary key, val  varchar2(512))";
}

std::string getLobTable() {
	return "create table hirsch (id numeric not null primary key, val  clob)";
}

#include "../SQL/Types.t.cc"

void INIT_oracle_Types()
{
	test_Types_init();
}

void TEST_oracle_Types_int()
{
	test_Types_int();
}

void TEST_oracle_Types_float()
{
	test_Types_float();
}

void TEST_oracle_Types_double()
{
	test_Types_double();
}

void TEST_oracle_Types_string()
{
	test_Types_string();
}

void TEST_oracle_Types_lob()
{
	test_Types_lob();
}

void TEST_PERF_oracle_Types_lob_4k()
{
	test_perf_Types_lob_4k();
}
void TEST_PERF_oracle_Types_lob_64k()
{
	test_perf_Types_lob_64k();
}
void TEST_PERF_oracle_Types_lob_1024k()
{
	test_perf_Types_lob_1024k();
}
