#include "main.hh"

typedef unsigned int very_strange_fatalmind_typedef;

template<>
void _assertEqual<std::string>(
	  fatalmind::arg_traits<std::string>::const_param is
	, fatalmind::arg_traits<std::string>::const_param expect
	, const char* file
	, int line)
{
	ostringstream os;
	std::string::const_iterator end = expect.end();
	std::string::const_iterator begin = expect.begin();
	for (std::string::const_iterator i = begin; i != end; ++i) {
		if (!(*i == is[i - begin])) {
			os << "assertEqual failed in " << file << ":"
				<< line << " (at position " << (i - begin) 
				<< " expected '" << *i << "' (" 
					<< std::hex << std::setw(2) << (int(*i)&0xFF)
				<< ") got '" << is[i - begin] << "' (" 
					<< std::hex << (int(is[i - begin])&0xFF)
				<< "))";
			throw fatalmind::Exception(os.str());
		}
	}
	if (is.size() != expect.size()) {
		os << "assertEqual failed in " << file << ":"
			<< line << " (size is " << is.size() 
			<< " expected " << expect.size() << ")";
		throw fatalmind::Exception(os.str());
	}
}

void _assertEqual(const int is, const int expect, const char* file, int line) {
	_assertEqual<int>(is, expect, file, line);
}

void _assertEqual(const std::string& is, const std::string expect, const char* file, int line) {
	_assertEqual<std::string>(is, expect, file, line);
}
